Skip to main content
Get Data Usage
curl --request GET \
  --url https://api.coralogix.com/mgmt/openapi/5/dataplans/data-usage/v2 \
  --header 'Authorization: <api-key>'
{
  "entries": [
    {
      "dimensions": [
        {
          "genericDimension": {
            "key": "key",
            "value": "value"
          }
        }
      ],
      "sizeGb": 123,
      "timestamp": "2023-11-07T05:31:56Z",
      "units": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.coralogix.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication

Query Parameters

date_range
Date Range · object

Date interval to query data usage over. This data structure represents a date range.

resolution
string

Aggregation resolution. Minimum supported value is 1h. Must be between 1 hour and the date_range interval.

aggregate
enum<string>[]

List of fields to aggregate results by (for example pillar and priority).

Available options:
AGGREGATE_BY_UNSPECIFIED,
AGGREGATE_BY_APPLICATION,
AGGREGATE_BY_SUBSYSTEM,
AGGREGATE_BY_PILLAR,
AGGREGATE_BY_PRIORITY,
AGGREGATE_BY_POLICY_NAME,
AGGREGATE_BY_SEVERITY
dimension_filters
object[]

Dimensions to filter results by; only entries that contain all listed dimensions are returned.

Response

This data structure is used to return data usage.

entries
Data Usage Entry · object[]

List of entries.